package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 学生考勤状态
 */
public enum StudentAttendanceStatusEnum implements BaseEnum<String,StudentAttendanceStatusEnum> {
    NORMAL("NORMAL","正常"),
    TRUANT("TRUANT","旷课"),
    LEAVE("LEAVE","请假"),
    DROP_OUT("DROP_OUT","退学");

    private String code;

    private String msg;

    StudentAttendanceStatusEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
